﻿using Sample.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sample
{
    class ViewModel
    {
        public ViewModel()
        {
            customer = this.GetCustomerDetails();
        }

        private ObservableCollection<Customer> GetCustomerDetails()
        {
            ObservableCollection<Customer> details = new ObservableCollection<Customer>();
            if(details != null)
            {
                details.Add(new Customer() { Name = "David", Description = "Name1" });
                details.Add(new Customer() { Name = "John", Description = "Name2" });
                details.Add(new Customer() { Name = "Willam", Description = "Name3" });
                details.Add(new Customer() { Name = "Daniel", Description = "Name4" });
            }
            return details;
        }

        private ObservableCollection<Customer> customer;

        public ObservableCollection<Customer> Customer
        {
            get { return customer; }
            set { customer = value; }
        }   
    }
}
